---
sidebar_position: 2
---

# Preview Scene

Local login configuration.

---

The login simulator scene allows you to run the game using a session account during development, enabling easier testing and debugging.

This scene includes a `login-hyper-gaming` object used to establish a connection with a running environment of your choice.

![Preview Scene](./img/02-preview-scene/preview-scene.png)

Available environments:

- **DEMO** : similar to [https://gaming-world.joker88.club]( https://gaming-world.joker88.club/). This environment uses a demo account, so no login is required. Some features are disabled, but the outcome feature is enabled, allowing you to select specific outcomes for testing purposes.
- **SAT** : similar to [http://fns.joker88.club](http://fns.joker88.club/). This environment requires a valid account to log in. Except for the outcome feature, all other features are enabled, including replay and resume functionality.
- **LOCAL** : Use this only if other environments are unavailable. By manually setting up session data, you can run the game locally. Not recommended for regular use.

To use preview scene, simply choose an Enviroment and put in the Game ID, then save the scene.

:::tip
You should set the preview scene as a start scene in `Project Setting`. With that, no matter which scene your are on, when the game starts, it will always load preview scene first.

![Preview Scene Setting](./img/02-preview-scene/preview-scene-setting.png)
:::